summaryrefslogtreecommitdiffstats
path: root/multimedia/lsdvd
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:31:49 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-12 23:31:49 +0200
commit0ccbc895d81d4a2116aad92d80d0e348de8b96b1 (patch)
tree03584fbdf246d642ff15c0e1f902888d9bf39f62 /multimedia/lsdvd
parent72943c6ff67fcc2354cc545da09df8c84cc5bccd (diff)
downloadslackbuilds-0ccbc895d81d4a2116aad92d80d0e348de8b96b1.tar.gz
slackbuilds-0ccbc895d81d4a2116aad92d80d0e348de8b96b1.tar.xz
multimedia/lsdvd: Added to 12.2 repository
Diffstat (limited to 'multimedia/lsdvd')
-rw-r--r--multimedia/lsdvd/README6
-rw-r--r--multimedia/lsdvd/lsdvd.SlackBuild62
-rw-r--r--multimedia/lsdvd/lsdvd.info8
-rw-r--r--multimedia/lsdvd/slack-desc19
4 files changed, 95 insertions, 0 deletions
diff --git a/multimedia/lsdvd/README b/multimedia/lsdvd/README
new file mode 100644
index 0000000000..ddfd45393e
--- /dev/null
+++ b/multimedia/lsdvd/README
@@ -0,0 +1,6 @@
+lsdvd is a console application that displays the content of a dvd. It
+provides output about the types of video and audio tracks, subtitles
+etc... output is available in a number of formats including human
+readable, perl, ruby or xml.
+
+lsdvd depends on libdvdread, also available on slackbuilds.org
diff --git a/multimedia/lsdvd/lsdvd.SlackBuild b/multimedia/lsdvd/lsdvd.SlackBuild
new file mode 100644
index 0000000000..91d2186307
--- /dev/null
+++ b/multimedia/lsdvd/lsdvd.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for lsdvd
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=lsdvd
+VERSION=${VERSION:-0.16}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp ChangeLog AUTHORS COPYING INSTALL README NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/lsdvd/lsdvd.info b/multimedia/lsdvd/lsdvd.info
new file mode 100644
index 0000000000..6fadbbfd0b
--- /dev/null
+++ b/multimedia/lsdvd/lsdvd.info
@@ -0,0 +1,8 @@
+PRGNAM="lsdvd"
+VERSION="0.16"
+HOMEPAGE="http://sourceforge.net/projects/lsdvd/"
+DOWNLOAD="http://downloads.sourceforge.net/lsdvd/lsdvd-0.16.tar.gz"
+MD5SUM="340e1abe5c5e5abf7ff8031e78f49ee7"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/multimedia/lsdvd/slack-desc b/multimedia/lsdvd/slack-desc
new file mode 100644
index 0000000000..6c58676566
--- /dev/null
+++ b/multimedia/lsdvd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lsdvd: lsdvd (list the contents of a DVD)
+lsdvd:
+lsdvd: lsdvd is a console application that displays the content of a dvd. It
+lsdvd: provides output about the types of video and audio tracks, subtitles
+lsdvd: etc... output is available in a number of formats including human
+lsdvd: readable, perl, ruby or xml.
+lsdvd:
+lsdvd:
+lsdvd:
+lsdvd:
+lsdvd: